<?php
session_start();
require('fpdf.php');
require('fpdf_merge.php');
// include('../funcoes_pagina.php');

include($_SERVER[DOCUMENT_ROOT].'/kernel/conecta.php');

global $CONFIGURA;
// $_GET[ids_ordem] = '3';
// $_GET[ids_ordem] = '14,16';


$id_ordem = str_replace(';', ',', $_GET[ids_ordem]);



//VERIFICA SE TODOS OS CAMPOS FORAM PREENCHIDOS
if ($id_ordem == ''){
	echo 'Entre com o número da comanda!';
	exit;
}


$sql = selecionar('ordem','orde_tx_status','!inativo'," AND orde_nb_id IN ($id_ordem) GROUP BY orde_tx_comanda ORDER BY orde_nb_id DESC");
while( $a = carrega_array($sql) ){
	$a_comanda[] = $a[orde_tx_comanda];
}

$nota = carregar('nota','','nota_nb_ordem',$id_ordem);



$comandas = @implode(",",$a_comanda);



// $comandas = implode(",",$a_comanda);

// if($_POST[numero_comanda]){
// 	$id_ordem = $_POST[numero_comanda];
// 	$comandas = $id_ordem;
// 	$sql = selecionar('ordem','orde_tx_status','!inativo'," AND orde_tx_comanda IN ($id_ordem) ORDER BY orde_nb_id DESC");
// 	while( $a = carrega_array($sql) ){
// 		$a_id_ordem[] = $a[0];
// 	}
// 	$id_ordem = implode(",",$a_id_ordem);
// }




define(PASTA_LOCAL,$_SERVER[DOCUMENT_ROOT].$CACTUX_CONF['path']);

//$arquivo_pdf = PASTA_LOCAL.'/impressao/conteudo_imprimir.pdf';

// VERIFICA O ID DO USUARIO QUE IMPRIMIU PARA MANTER A FILA DE IMPRESSAO
if( $_SESSION[user_nb_id] == '' )	$ID_USER = rand(1000,9999); else	$ID_USER = $_SESSION[user_nb_id];

$arquivo_pdf = PASTA_LOCAL.'/impressao/conteudo_imprimir_'.$_GET[impressora].'_'.$ID_USER.'.pdf';

$arquivo_logo = PASTA_LOCAL.'/impressao/conteudo_logo.pdf';

// echo $arquivo_logo;
// $pdf = new FPDF("P","mm",array($CONFIGURA[LARGURA_IMPRESSAO],$CONFIGURA[ALTURA_IMPRESSAO]));
// $pdf->SetMargins($CONFIGURA[MARGEM_ESQUERDA],$CONFIGURA[MARGEM_TOPO],$CONFIGURA[MARGEM_DIREITA]);
// $pdf->AddPage();
// $pdf->Image(PASTA_LOCAL.'cactus/imagens/logo.jpg');
// echo PASTA_LOCAL.'/cactus/imagens/logo.jpg';
// $pdf->Output($arquivo_logo,'F');


// INICIA A CRIAÇÃO DO PDF
$pdf = new FPDF("P","mm",array($CONFIGURA[LARGURA_IMPRESSAO],$CONFIGURA[ALTURA_IMPRESSAO]));
$pdf->SetMargins($CONFIGURA[MARGEM_ESQUERDA],$CONFIGURA[MARGEM_TOPO],$CONFIGURA[MARGEM_DIREITA]);
$pdf->AddPage();
// $pdf->Image(PASTA_LOCAL.'cactus/imagens/logo.jpg');
$pdf->SetFont('arial','',7);





$pdf->Cell(0,3,$CONFIGURA[NOME_IMPRESSAO],0,1,'C');
$pdf->Cell(0,3,$CONFIGURA[CNPJ_IMPRESSAO],0,1,'C');
$pdf->Cell(0,3,$CONFIGURA[ENDERECO_IMPRESSAO],0,1,'C');
$pdf->Cell(0,3,$CONFIGURA[CEP_IMPRESSAO],0,1,'C');
if($CONFIGURA[MODO_PRESCRITOR]=='SIM'){
	$a_empr = carregar('empresa',1);
	if($a_empr[empr_tx_fone] != '' || $a_empr[empr_tx_cel] != ''){
		if($a_empr[empr_tx_fone] != '' && $a_empr[empr_tx_cel] != '')
			$pdf->Cell(0,3,"$a_empr[empr_tx_fone] / $a_empr[empr_tx_cel]",0,1,'C');
		else
			$pdf->Cell(0,3,"$a_empr[empr_tx_fone]$a_empr[empr_tx_cel]",0,1,'C');
	}

}
$pdf->Ln(5);


$pdf->SetFont('arial','B',8);
$pdf->Cell(0,3,'DOCUMENTO AUXILIAR DA NOTA FISCAL',0,1,"C");
$pdf->Cell(0,3,'DE CONSUMIDOR ELETRÔNICA',0,1,"C");


$pdf->SetFont('arial','',6);
$pdf->Ln(1);
$pdf->Cell(0,1,'#|COD|DESC|QTD|UN| VL UN R$|(VLTR R$)*| VL ITEM R$',0,1,"C");
$pdf->Ln(1);

 
$pdf->SetFont('Courier','B',7);

// LISTAGEM DOS PRODUTOS DA COMANDA
$sql = selecionar('prod_nb_id,prod_tx_codbarras,orpr_nb_id,prod_tx_nome,orpr_tx_porcentagem,orpr_tx_valor,orpr_tx_desconto,orpr_tx_descontoReal,SUM(orpr_tx_qtde) as qtde,orpr_tx_qtde*orpr_tx_valor as valor|orpr,produto,ordem','orpr_tx_status',"ativo"," AND orde_nb_id IN ($id_ordem) GROUP BY prod_nb_id ORDER BY orpr_nb_id ASC");
$desconto_total = 0;

while( $a = carrega_array($sql) ) {
// NAO EXIBE SE A QUANTIDADE FOR 0 ( NO CASO DE TER LANCADO UM PRODUTO E DEPOIS CANCELADO)
	if( $a[qtde] == 0 )	
		continue;


	$unitario = $a[orpr_tx_valor];
	$valor_prod = ($unitario*$a[qtde]);

	$total_qtde +=$a[qtde];

	// LINHA 1 DA LISTAGEM DE PRODUTOS
	$pdf->Cell(10,3,str_pad(++$j,3,'0',STR_PAD_LEFT),0,0,"L");
	$pdf->Cell(1,3,$a[prod_nb_id]." ".$a[prod_tx_nome],0,1,"L");

	// LINHA 2 DA LISTAGEM DE PRODUTOS
	$pdf->Cell(20,3,mostra_valor($a[qtde])." UN",0,0,"R");
	$pdf->Cell(30,3,"X         ".mostra_valor($unitario),0,0,"C");
	$pdf->Cell(0,3,mostra_valor($valor_prod),0,1,"R");

	
	// $string_imprime .= "<tr><td width='40px' >".str_pad(++$j,2,'0',STR_PAD_LEFT)."</td><td colspan=2>".$a[prod_tx_nome]."</td></tr>"."\r\n";
	// $string_imprime .= "<tr><td width='40px' align=right>".mostra_valor($a[qtde])."</td><td align=center width='100px'>R$ ".mostra_valor($unitario)."</td><td  align=right>R$ ".mostra_valor($valor_prod)."</td></tr>"."\r\n";
	
	$total += $valor_prod;
	$desconto_total += $a[orpr_tx_descontoReal];
	
	$pdf->Ln(1);
}

$pdf->SetFont('arial','',7);
$pdf->Cell(30,3,"  QTD. TOTAL DE ITENS",0,0,"L");
$pdf->Cell(42,3,str_pad($total_qtde,3,'0',STR_PAD_LEFT)." ",0,1,"R");

$pdf->SetFont('arial','B',7);
$pdf->Cell(30,3,"  VALOR TOTAL R$",0,0,"L");
$pdf->Cell(42,3,mostra_valor(($total-$desconto_total+$v_comissao),1)." ",0,1,"R");

$pdf->SetFont('arial','',7);
$pdf->Cell(30,3,"  FORMA DE PAGAMENTO",0,0,"L");
$pdf->Cell(42,3,"VALOR PAGO"." ",0,1,"R");





// OBTEM O VALOR DA TAXA DE SERVIÇO
$sql3 = selecionar('orpr_nb_id,orpr_tx_valor,orde_tx_comanda,orpr_nb_ordem|orpr,ordem','orpr_tx_status',"taxa"," AND orde_nb_id IN ($id_ordem) GROUP BY orpr_nb_id ORDER BY orpr_nb_id DESC LIMIT 1",0);
while( $a3 = carrega_array($sql3) ) {
	// OBTEM O VALOR A SER PAGO PELA COMISSÃO
	$v_comissao = ($total-$desconto_total)*$a3[orpr_tx_valor]/100;

}


// LISTA OS ORPR ITENS DE PAGAMENTO
$sql_pagamento = selecionar('prod_nb_id,orpr_tx_valor,SUM(orpr_tx_qtde) as qtde,SUM(orpr_tx_qtde*orpr_tx_valor) as valor,prod_tx_nome|orpr,produto,ordem','orpr_tx_status',"pagamento"," AND orde_nb_id IN ($id_ordem) GROUP BY prod_nb_id ORDER BY orpr_nb_id DESC");

$pag=0;
while( $a = carrega_array($sql_pagamento) ) {

	// $a_forma = carregar('forma',$a[prod_nb_id]);

	$pdf->Cell(30,3,"  $a[prod_tx_nome]",0,0,"L");
	$pdf->Cell(42,3,mostra_valor($a[valor]*(-1))." ",0,1,"R");

	// $string_pagamento .= "<tr><td colspan=3 align=right>".trim($a_forma[form_tx_nome]).": R$ ".mostra_valor($a[valor]*(-1))."</td></tr>";

	// SOMA AS ORPR DE DINHEIRO PARA CALCULAR O TROCO
	if ( $a[prod_nb_id] == 1 ) {
		$total_orpr_dinheiro += $a[valor]*(-1);
	}

	$pag++;
}

$pdf->SetFont('arial','',7);

$pdf->Cell(0,3,"Número ".str_pad($nota[nota_tx_numero],9,'0',STR_PAD_LEFT)." - Série 001",0,1,"C");
$pdf->Cell(0,3,"Emissão ".date('d/m/Y')." ".date('H:i:s')." - Via Consumidor",0,1,"C");
$pdf->Cell(0,3,"Consulte pela Chave de Acesso em",0,1,"C");
$pdf->Cell(0,3,"http://nfce.set.rn.gov.br/portalDFE/NFCe/ConsultaNFCe.aspx",0,1,"C");
$pdf->SetTextColor(255,0,0);
$pdf->Cell(0,3,"NFC-E NÃO ENVIADA PARA SEFAZ",0,1,"C");
$pdf->SetTextColor(0,0,0);


$pdf->Ln(3);

$pdf->Cell(0,3,"CONSUMIDOR NÃO IDENTIFICADO",0,1,"C");

// $url = 'https://chart.googleapis.com/chart?chs=150x150&cht=qr&chl=http://nfce.set.rn.gov.br/portalDFE/NFCe/ConsultaNFCe.aspx&chld=H|0';
$img = 'qrcode.png';
// file_put_contents($img, file_get_contents($url));

$pdf->Cell(0,1,$pdf->Image('qrcode.png',17),0,1,"C");
$pdf->Cell(0,3,"VALOR APROX DE IMPOSTOS:",0,1,"C");

// https://chart.googleapis.com/chart?chs=300x300&cht=qr&chl=www.cactustecnologia.com.br&choe=UTF-8



// SOMA OS FOBOS DE PAGAMENTO EM DINHEIRO PARA REALIZAR O CÁLCULO DO TROCO
$sql_fobo = selecionar('SUM(fobo_tx_valor) AS fobo_tx_valor|fobo,boleto.movimento.ordem','fobo_tx_status,bole_tx_status,movi_tx_status,bole_nb_movimento',"!inativo,!inativo,!inativo,.movi_nb_id"," AND (orde_tx_status='ativo' OR orde_tx_status='encerrado') AND movi_nb_ordem = orde_nb_id AND fobo_nb_forma=1 AND orde_nb_id IN ($id_ordem) ");
$a_fobo_dinheiro = carrega_array($sql_fobo);


// O VALOR DO TROCO É O VALOR EM DINHEIRO DA ORPR, MENOS, O VALOR DE DINHEIRO DO FOBO
$valor_troco = $total_orpr_dinheiro-$a_fobo_dinheiro[fobo_tx_valor];

// SE TIVER TROCO, EXIBE O TROCO
if ( $valor_troco > 0 ) {

//	$pdf->Cell(315,20,'TROCO: ',0,0,"R");
//	$pdf->Cell(0,20,'R$ '.mostra_valor($valor_troco*(-1),1),0,1,"R");
//	$pdf->Ln(1);

	// $string_imprime .= "<tr><td colspan=3 align=right>TROCO: R$ ".mostra_valor($valor_troco*(-1),1)."</td></tr>";
}



// GERA O ARQUIVO PDF
$pdf->Output($arquivo_pdf,'F');

bat_imprime($arquivo_pdf);




?>